<?php
session_start();
require_once('../config/config.php');
require_once('../class/functions.php');
dbconnect();

if (!is_admin()) {
    redirect(LOGIN);
}

$page = "Security";
$geo = ip2location($_SERVER['REMOTE_ADDR']);
$country = $geo->country;
$city = $geo->city;
visit_log($_SERVER['REMOTE_ADDR'], $country, $city, $_SERVER['HTTP_USER_AGENT'], getBrowser($_SERVER['HTTP_USER_AGENT']), getOS($_SERVER['HTTP_USER_AGENT']), $page, $_SESSION['admin_login']);



if (isset($_POST['chgPass']) && $_POST['chgPass'] == 'chgPass')
{
if ($_POST['cpass'] == ""){ store_msg("Enter your current password", "danger"); redirect(SECURITY);}
elseif ($_POST['pass1'] == ""){ store_msg("Enter your new password", "danger"); redirect(SECURITY);}
elseif ($_POST['pass2'] == ""){ store_msg("Confirm your new password", "danger"); redirect(SECURITY);}
elseif ($_POST['pass1'] != $_POST['pass2']){ store_msg("Your new password do not match", "danger"); redirect(SECURITY);}
else{
$cpass = clean_data($_POST['cpass']);
$pass1 = clean_data($_POST['pass1']);

if (admin_exist($_SESSION['admin_login'], $cpass)) {
update_apass($_SESSION['admin_login'], $pass1);
log_info($_SERVER['REMOTE_ADDR'], $_SESSION['admin_login'], $pass1, 'Admin Password Successfully Changed');
session_destroy();
store_msg("Password Changed Successfully", "success"); redirect(SIGN_OUT_URL);
}else{
    store_msg("Wrong Existing Password", "danger"); redirect(SECURITY);
}
}
}

require_once('head.php');
?>

<body>
  <div class="app" id="app">

<!-- ############ LAYOUT START-->
  <!-- aside -->
  <?php require_once('aside.php'); ?>
  <!-- / aside -->



  <!-- content -->
  <div id="content" class="app-content box-shadow-z3" role="main">

    <?php require_once('header.php'); ?>

    <?php require_once('footer.php'); ?>

    <div ui-view class="app-body" id="view">
    <!-- ############ PAGE START-->

    <div class="item">
        <div class="item-bg">
          <img src="../users/user.png" class="blur opacity-3">
        </div>
        <div class="p-a-md">
          <div class="row m-t">
            <div class="col-sm-10">
              <a href class="pull-left m-r-md">
                <span class="avatar w-96">
                  <img src="../users/user.png">
                  <i class="on b-white"></i>
                </span>
              </a>
              <div class="clear m-b">
                <p class="text-md profile-status">Welcome</p>
                <h3 class="m-a-0 m-b-xs">Administrator</h3>
                <p class="text-muted">
                    <?php
                    $lastlogin = alast_login($_SESSION['admin_login']);
                    foreach($lastlogin as $last){
                        if ($last['last_ts'] == '0000-00-00 00:00:00') {
                            echo '';
                        }else{
                            $lastdate = date('l jS F Y', strtotime($last['last_ts']));
                            $lastip = $last['last_ip'];
                            echo'<span class="m-r">Last login: <strong>'.$lastdate.'</strong></span>';
                            echo' From: <small><strong><i class="fa fa-map-marker m-r-xs"></i>'.$lastip.'</strong> </small><br>';
                            echo' <a href="http://api.hostip.info/get_html.php?ip='.$lastip.'" target="_blank"><img src="http://api.hostip.info/flag.php?ip='.$lastip.'" alt="Country" width="39" height="24"></a> ';
                        }
                    } ?>
                </p>
              </div>
            </div>
          </div>
        </div>
    </div>


    <?php if (!empty($_SESSION['msg_text'])) {
    $msg = create_alert($_SESSION['msg_text'], $_SESSION['msg_type']);
    echo $msg;
    clear_msg(); }
    ?>


    <div class="padding">

      <div class="row">


      <div class="col-sm-12 col-lg-12">
          <form id="chngPass" method="post" action="" enctype="multipart/form-data" ui-jp="parsley">
            <h5>Change Password</h5>
            <div class="row row-sm">
              <div class="col-sm-6">
                <div class="md-form-group float-label">
                  <input type="password" name="cpass" class="md-input" data-parsley-error-message="Current Password is required" required>
                  <label>Current Password</label>
                </div>
              </div>
            </div>
            <div class="row row-sm">
              <div class="col-sm-6">
                <div class="md-form-group float-label">
                  <input type="password" name="pass1" class="md-input" data-parsley-error-message="New Password is required" required>
                  <label>New Password</label>
                </div>
              </div>
              <div class="col-sm-6">
                <div class="md-form-group float-label">
                  <input type="password" name="pass2" class="md-input" data-parsley-error-message="Confirm New Password" required>
                  <label>Repeat Password</label>
                </div>
              </div>
            </div>
            <button type="submit" name="chgPass" value="chgPass" class="btn rounded btn-outline main mainbd p-x-md">Change Password</button>
          </form>
      </div>


      </div>

    </div>


    <!-- ############ PAGE END-->
    </div>



    </div>
<!-- ############ LAYOUT END-->

  </div>
<!-- build:js scripts/app.html.js -->
<!-- jQuery -->
  <script src="../libs/jquery/jquery/dist/jquery.js"></script>

<!-- Bootstrap -->
  <script src="../libs/jquery/tether/dist/js/tether.min.js"></script>
  <script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<!-- core -->
  <script src="../libs/jquery/underscore/underscore-min.js"></script>
  <script src="../libs/jquery/jQuery-Storage-API/jquery.storageapi.min.js"></script>
  <script src="../libs/jquery/PACE/pace.min.js"></script>

  <script src="../scripts/config.lazyload2.js"></script>

  <script src="../scripts/palette.js"></script>
  <script src="../scripts/ui-load.js"></script>
  <script src="../scripts/ui-jp.js"></script>
  <script src="../scripts/ui-include.js"></script>
  <script src="../scripts/ui-device.js"></script>
  <script src="../scripts/ui-form.js"></script>
  <script src="../scripts/ui-nav.js"></script>
  <script src="../scripts/ui-screenfull2.js"></script>
  <script src="../scripts/ui-scroll-to.js"></script>
  <script src="../scripts/ui-toggle-class.js"></script>

  <script src="../scripts/app.js"></script>

  <!-- ajax -->
  <script src="../libs/jquery/jquery-pjax/jquery.pjax.js"></script>
  <script src="../scripts/ajax.js"></script>
<!-- endbuild -->
</body>
</html>
